Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class DefaultIcapChunk

    java.lang.Object
      org.jboss.netty.handler.codec.http.DefaultHttpChunk
          ch.mimo.netty.handler.codec.icap.DefaultIcapChunk

All Implemented Interfaces:
  IcapChunk, org.jboss.netty.handler.codec.http.HttpChunk

    public class DefaultIcapChunk

extends org.jboss.netty.handler.codec.http.DefaultHttpChunk
implements IcapChunk

This is the main Chunk implementation class. It extends @see `DefaultHttpChunk` and adds all necessary methods and members for preview handling.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Field Summary

Fields inherited from interface org.jboss.netty.handler.codec.http.HttpChunk
`LAST_CHUNK`

Constructor Summary
`DefaultIcapChunk(org.jboss.netty.buffer.ChannelBuffer content)`

Method Summary
`boolean` | `isEarlyTerminated()` Gets whether this chunk belongs to a early terminated preview message.
`boolean` | `isPreviewChunk()` Gets whether this chunk belongs to a preview message.
`void` | `setEarlyTermination(boolean earlyTermination)` Toggles whether this chunk belongs to a early terminated preview message.
`void` | `setPreviewChunk(boolean preview)` Toggles whether this chunk belongs to a preview message.
`String` | `toString()`

Methods inherited from class org.jboss.netty.handler.codec.http.DefaultHttpChunk
`getContent, isLast, setContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.netty.handler.codec.http.HttpChunk
`getContent, isLast, setContent`

Constructor Detail

### DefaultIcapChunk

    public DefaultIcapChunk(org.jboss.netty.buffer.ChannelBuffer content)

Method Detail

### setPreviewChunk

    public void setPreviewChunk(boolean preview)

  Description copied from interface: `IcapChunk`
  Toggles whether this chunk belongs to a preview message.

  Specified by:
    `setPreviewChunk` in interface `IcapChunk`
  Parameters:
    `preview` - boolean true to indicate it is a preview chunk

### isPreviewChunk

    public boolean isPreviewChunk()

  Description copied from interface: `IcapChunk`
  Gets whether this chunk belongs to a preview message.

  Specified by:
    `isPreviewChunk` in interface `IcapChunk`
  Returns:
    boolean true if this chunk is preview.

### setEarlyTermination

    public void setEarlyTermination(boolean earlyTermination)

  Description copied from interface: `IcapChunk`
  Toggles whether this chunk belongs to a early terminated preview message.

  Specified by:
    `setEarlyTermination` in interface `IcapChunk`
  Parameters:
    `earlyTermination` - boolean true if the preview message is early terminated.

### isEarlyTerminated

    public boolean isEarlyTerminated()

  Description copied from interface: `IcapChunk`
  Gets whether this chunk belongs to a early terminated preview message.

  Specified by:
    `isEarlyTerminated` in interface `IcapChunk`
  Returns:
    boolean true if the preview message is early terminated.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.